echo off
set ouser=%user%
set osydemo=%sydemo%
SET USER=
SET SYDEMO=
cls
ECHO 
ECHO This program will plug various values into SYDEMO so you can
ECHO get a feel for how easy it is to change your environment variables
ECHO using Sez You. SYDEMO can of course be run by itself without this
ECHO program.
ECHO 
ECHO First we'll see what happens with no environment settings. 
ECHO SYDEMO displays the current environment settings in the top window. 
ECHO (For now, just pay attention to this top window. You can read  
ECHO the stuff at the bottom when you run SYDEMO by itself.)
ECHO 
ECHO In the top window, find and notice the following settings:
ECHO 
ECHO   1) CFGFILE:                                (bottom left)
ECHO   2) E: (Expanded Memory)                    (top middle)
ECHO   3) F: (number of Files that can be opened) (top middle)
ECHO 
ECHO Just keep hitting the {Escape} key to move through this program.
ECHO 
pause
sydemo
cls
ECHO 
ECHO SYDEMO found DEFAULT.CFG, a file we made up earlier, and 
ECHO used its settings--in this case,
ECHO 
ECHO   1) CFGFILE:  DEFAULT.CFG
ECHO   2) SWAPPATH: C:\DEFAULT\
ECHO   3) TEMPPATH: .\
ECHO   4) E: 2048
ECHO   5) F:   41
ECHO   6) Everything else was null or off.
ECHO 
ECHO When this program is finished, try renaming DEFAULT.CFG and
ECHO run this demo a second time to see what happens.
ECHO 
pause
SET USER=TEST
SET SYDEMO=
ECHO 
ECHO Next, we'll look at what happens with USER=TEST. Notice the 
ECHO new path names. Also pay attention to the E and F settings. 
ECHO We'll be playing with those in a minute.
ECHO 
pause
sydemo
cls
ECHO 
ECHO Notice that the values in TEST.CFG are quite different from 
ECHO the previous settings.
ECHO 
ECHO   Previous:                    New:
ECHO 
ECHO   1) CFGFILE:  DEFAULT.CFG     1) CFGFILE:  TEST.CGF
ECHO   2) SWAPPATH: C:\DEFAULT\     2) SWAPPATH: C:\TEST\
ECHO   3) TEMPPATH: .\              3) TEMPPATH: C:\TEMP\
ECHO   4) E: 2048                   4) E: 1024
ECHO   5) F:   41                   5) F:   35
ECHO   6) Everything null or off.   6) Not everything was off.
ECHO 
pause
SET SYDEMO=//E:255;F:256
ECHO 
ECHO Now we'll use the DOS environment variable EVAR to overrride 
ECHO some of the current settings. EVAR, located in the upper right
ECHO is currently set to SYDEMO. At the DOS prompt, we'll write 
ECHO 
ECHO       SET SYDEMO=//E:255 //F:256 
ECHO 
ECHO and see what happens.
ECHO 
pause
sydemo
cls
ECHO 
ECHO Did you notice that E was changed to 255 and F to 256?
ECHO 
ECHO Sez You's EVAR allows you to choose a new name that will work
ECHO just like SET CLIPPER=. In this case, the chosen EVAR name was 
ECHO SYDEMO, so when we SET SYDEMO=//E:255 //F:256, the new values 
ECHO took effect just as you'd expect.
ECHO 
ECHO When you put a name in Sez You's EVAR, you are telling your
ECHO program to ignore all external SET CLIPPER= values. Your program
ECHO will be protected from the jungle of predatory SET CLIPPER values
ECHO outside.
ECHO 
ECHO Using the EVAR at the DOS prompt is also the fastest and most 
ECHO convenient way to override your CFG file settings.
ECHO 
pause
SET USER=STEVE
SET SYDEMO=
ECHO 
ECHO Next, we'll look at what happens with USER=STEVE.
ECHO 
pause
sydemo
cls
ECHO 
ECHO It found and used STEVE.CFG, and the E and F settings are his.
ECHO 
pause
SET USER=HORSE
SET SYDEMO=
ECHO 
ECHO Last, we'll set USER=HORSE. Since there is no file called
ECHO HORSE.CFG, SYDEMO will use DEFAULT.CFG.
ECHO 
pause
sydemo
set user=%ouser%
set sydemo=%osydemo%

cls

ECHO 
ECHO Here we are back to the DEFAULT.CFG file again. 
ECHO 
ECHO If you wish to run this demo again, you could make changes to any
ECHO of the included .CFG files and see your own values on the Sez You
ECHO screen.
ECHO 
ECHO Hope this has been helpful!
ECHO 
ECHO 
ECHO Ordering Info:  Extrasensory Software       Phone: 818/981-8367
ECHO                4450 Murietta Ave #8        Fax:   818/986-5411
ECHO                 Sherman Oaks, CA  91423     BBS:   818/986-5781
ECHO 
ECHO 
